Analysis: add a GVN with symbolic calculus capacities
[scilab.git] / scilab / modules / functions / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/functions
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
110         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
111         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
112         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
113         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
114         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
115         $(top_srcdir)/m4/intel_compiler.m4 \
116         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
117         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
118         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
119         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
120         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
121         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
122         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
123         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
124         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
125         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
126         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
127 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
128         $(ACLOCAL_M4)
129 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
130 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
131 CONFIG_CLEAN_FILES =
132 CONFIG_CLEAN_VPATH_FILES =
133 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
134 am__vpath_adj = case $$p in \
135     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
136     *) f=$$p;; \
137   esac;
138 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
139 am__install_max = 40
140 am__nobase_strip_setup = \
141   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
142 am__nobase_strip = \
143   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
144 am__nobase_list = $(am__nobase_strip_setup); \
145   for p in $$list; do echo "$$p $$p"; done | \
146   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
147   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
148     if (++n[$$2] == $(am__install_max)) \
149       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
150     END { for (dir in files) print dir, files[dir] }'
151 am__base_list = \
152   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
153   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
154 am__uninstall_files_from_dir = { \
155   test -z "$$files" \
156     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
157     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
158          $(am__cd) "$$dir" && rm -f $$files; }; \
159   }
160 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
161         "$(DESTDIR)$(libscifunctions_la_etcdir)" \
162         "$(DESTDIR)$(libscifunctions_la_rootdir)" \
163         "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"
164 LTLIBRARIES = $(pkglib_LTLIBRARIES)
165 libscifunctions_la_LIBADD =
166 am__dirstamp = $(am__leading_dot)dirstamp
167 am__objects_1 = sci_gateway/c/libscifunctions_la-gw_functions.lo
168 am__objects_2 = sci_gateway/cpp/libscifunctions_la-sci_exec.lo \
169         sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo \
170         sci_gateway/cpp/libscifunctions_la-sci_whereis.lo \
171         sci_gateway/cpp/libscifunctions_la-sci_execstr.lo \
172         sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo \
173         sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo \
174         sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo \
175         sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo \
176         sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo \
177         sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo
178 am_libscifunctions_la_OBJECTS = $(am__objects_1) $(am__objects_2)
179 libscifunctions_la_OBJECTS = $(am_libscifunctions_la_OBJECTS)
180 AM_V_lt = $(am__v_lt_@AM_V@)
181 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
182 am__v_lt_0 = --silent
183 am__v_lt_1 = 
184 AM_V_P = $(am__v_P_@AM_V@)
185 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
186 am__v_P_0 = false
187 am__v_P_1 = :
188 AM_V_GEN = $(am__v_GEN_@AM_V@)
189 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
190 am__v_GEN_0 = @echo "  GEN     " $@;
191 am__v_GEN_1 = 
192 AM_V_at = $(am__v_at_@AM_V@)
193 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
194 am__v_at_0 = @
195 am__v_at_1 = 
196 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
197 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
198 am__depfiles_maybe = depfiles
199 am__mv = mv -f
200 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
201         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
202 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
203         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
204         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
205         $(AM_CFLAGS) $(CFLAGS)
206 AM_V_CC = $(am__v_CC_@AM_V@)
207 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
208 am__v_CC_0 = @echo "  CC      " $@;
209 am__v_CC_1 = 
210 CCLD = $(CC)
211 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
212         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
213         $(AM_LDFLAGS) $(LDFLAGS) -o $@
214 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
215 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
216 am__v_CCLD_0 = @echo "  CCLD    " $@;
217 am__v_CCLD_1 = 
218 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
219         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
220 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
221         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
222         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
223         $(AM_CXXFLAGS) $(CXXFLAGS)
224 AM_V_CXX = $(am__v_CXX_@AM_V@)
225 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
226 am__v_CXX_0 = @echo "  CXX     " $@;
227 am__v_CXX_1 = 
228 CXXLD = $(CXX)
229 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
230         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
231         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
232 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
233 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
234 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
235 am__v_CXXLD_1 = 
236 SOURCES = $(libscifunctions_la_SOURCES)
237 DIST_SOURCES = $(libscifunctions_la_SOURCES)
238 am__can_run_installinfo = \
239   case $$AM_UPDATE_INFO_DIR in \
240     n|no|NO) false;; \
241     *) (install-info --version) >/dev/null 2>&1;; \
242   esac
243 DATA = $(libscifunctions_la_etc_DATA) $(libscifunctions_la_root_DATA) \
244         $(libscifunctions_la_sci_gateway_DATA)
245 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
246 # Read a list of newline-separated strings from the standard input,
247 # and print each of them once, without duplicates.  Input order is
248 # *not* preserved.
249 am__uniquify_input = $(AWK) '\
250   BEGIN { nonempty = 0; } \
251   { items[$$0] = 1; nonempty = 1; } \
252   END { if (nonempty) { for (i in items) print i; }; } \
253 '
254 # Make sure the list of sources is unique.  This is necessary because,
255 # e.g., the same source file might be shared among _SOURCES variables
256 # for different programs/libraries.
257 am__define_uniq_tagged_files = \
258   list='$(am__tagged_files)'; \
259   unique=`for i in $$list; do \
260     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
261   done | $(am__uniquify_input)`
262 ETAGS = etags
263 CTAGS = ctags
264 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
265 ACLOCAL = @ACLOCAL@
266 ALL_LINGUAS = @ALL_LINGUAS@
267 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
268 AMTAR = @AMTAR@
269 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
270 ANT = @ANT@
271 ANTLR = @ANTLR@
272 AR = @AR@
273 ARPACK_LIBS = @ARPACK_LIBS@
274 ASM3 = @ASM3@
275 AUTOCONF = @AUTOCONF@
276 AUTOHEADER = @AUTOHEADER@
277 AUTOMAKE = @AUTOMAKE@
278 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
279 AWK = @AWK@
280 BATIK = @BATIK@
281 BLAS_LIBS = @BLAS_LIBS@
282 CC = @CC@
283 CCACHE = @CCACHE@
284 CCDEPMODE = @CCDEPMODE@
285 CFLAGS = @CFLAGS@
286 CHECKSTYLE = @CHECKSTYLE@
287 COBERTURA = @COBERTURA@
288 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
289 COMMONS_IO = @COMMONS_IO@
290 COMMONS_LOGGING = @COMMONS_LOGGING@
291 CPP = @CPP@
292 CPPFLAGS = @CPPFLAGS@
293 CURL_CFLAGS = @CURL_CFLAGS@
294 CURL_CONFIG = @CURL_CONFIG@
295 CURL_LIBS = @CURL_LIBS@
296 CURL_VERSION = @CURL_VERSION@
297 CXX = @CXX@
298 CXXCPP = @CXXCPP@
299 CXXDEPMODE = @CXXDEPMODE@
300 CXXFLAGS = @CXXFLAGS@
301 CYGPATH_W = @CYGPATH_W@
302 DEFS = @DEFS@
303 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
304 DEPDIR = @DEPDIR@
305 DLLTOOL = @DLLTOOL@
306 DOCBOOK_ROOT = @DOCBOOK_ROOT@
307 DOXYGEN_BIN = @DOXYGEN_BIN@
308 DSYMUTIL = @DSYMUTIL@
309 DUMPBIN = @DUMPBIN@
310 ECHO_C = @ECHO_C@
311 ECHO_N = @ECHO_N@
312 ECHO_T = @ECHO_T@
313 ECJ = @ECJ@
314 EGREP = @EGREP@
315 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
316 EXEEXT = @EXEEXT@
317 F77 = @F77@
318 FFLAGS = @FFLAGS@
319 FFTW3_LIB = @FFTW3_LIB@
320 FFTW_ENABLE = @FFTW_ENABLE@
321 FGREP = @FGREP@
322 FLEXDOCK = @FLEXDOCK@
323 FLIBS = @FLIBS@
324 FOP = @FOP@
325 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
326 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
327 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
328 FREEHEP_IO = @FREEHEP_IO@
329 FREEHEP_UTIL = @FREEHEP_UTIL@
330 GENHTML = @GENHTML@
331 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
332 GIWS_BIN = @GIWS_BIN@
333 GLUEGEN2_RT = @GLUEGEN2_RT@
334 GMSGFMT = @GMSGFMT@
335 GMSGFMT_015 = @GMSGFMT_015@
336 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
337 GREP = @GREP@
338 GUI_ENABLE = @GUI_ENABLE@
339 HAVE_CXX11 = @HAVE_CXX11@
340 HDF5_CFLAGS = @HDF5_CFLAGS@
341 HDF5_LIBS = @HDF5_LIBS@
342 HELP_ENABLE = @HELP_ENABLE@
343 INSTALL = @INSTALL@
344 INSTALL_DATA = @INSTALL_DATA@
345 INSTALL_PROGRAM = @INSTALL_PROGRAM@
346 INSTALL_SCRIPT = @INSTALL_SCRIPT@
347 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
348 INTLLIBS = @INTLLIBS@
349 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
350 JAR = @JAR@
351 JAVA = @JAVA@
352 JAVAC = @JAVAC@
353 JAVAC_DEBUG = @JAVAC_DEBUG@
354 JAVADOC = @JAVADOC@
355 JAVAH = @JAVAH@
356 JAVASCI_ENABLE = @JAVASCI_ENABLE@
357 JAVA_ENABLE = @JAVA_ENABLE@
358 JAVA_G = @JAVA_G@
359 JAVA_HOME = @JAVA_HOME@
360 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
361 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
362 JDB = @JDB@
363 JEUCLID_CORE = @JEUCLID_CORE@
364 JGRAPHX = @JGRAPHX@
365 JHALL = @JHALL@
366 JLATEXMATH = @JLATEXMATH@
367 JLATEXMATH_FOP = @JLATEXMATH_FOP@
368 JOGL2 = @JOGL2@
369 JROSETTA_API = @JROSETTA_API@
370 JROSETTA_ENGINE = @JROSETTA_ENGINE@
371 JUNIT4 = @JUNIT4@
372 LAPACK_LIBS = @LAPACK_LIBS@
373 LCOV = @LCOV@
374 LD = @LD@
375 LDFLAGS = @LDFLAGS@
376 LEX = @LEX@
377 LEXLIB = @LEXLIB@
378 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
379 LIBICONV = @LIBICONV@
380 LIBINTL = @LIBINTL@
381 LIBM = @LIBM@
382 LIBOBJS = @LIBOBJS@
383 LIBS = @LIBS@
384 LIBTOOL = @LIBTOOL@
385 LIPO = @LIPO@
386 LN_S = @LN_S@
387 LOGGING_LEVEL = @LOGGING_LEVEL@
388 LOOKS = @LOOKS@
389 LTLIBICONV = @LTLIBICONV@
390 LTLIBINTL = @LTLIBINTL@
391 LTLIBOBJS = @LTLIBOBJS@
392 MAINT = @MAINT@
393 MAKEINFO = @MAKEINFO@
394 MANIFEST_TOOL = @MANIFEST_TOOL@
395 MATIO_CFLAGS = @MATIO_CFLAGS@
396 MATIO_ENABLE = @MATIO_ENABLE@
397 MATIO_LIBS = @MATIO_LIBS@
398 MKDIR_P = @MKDIR_P@
399 MPI_ENABLE = @MPI_ENABLE@
400 MSGCAT = @MSGCAT@
401 MSGFMT = @MSGFMT@
402 MSGFMT_015 = @MSGFMT_015@
403 MSGMERGE = @MSGMERGE@
404 NM = @NM@
405 NMEDIT = @NMEDIT@
406 OBJDUMP = @OBJDUMP@
407 OBJEXT = @OBJEXT@
408 OCAMLC = @OCAMLC@
409 OCAMLDEP = @OCAMLDEP@
410 OCAMLLEX = @OCAMLLEX@
411 OCAMLOPT = @OCAMLOPT@
412 OCAMLYACC = @OCAMLYACC@
413 OPENMPI_CC = @OPENMPI_CC@
414 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
415 OPENMPI_CXX = @OPENMPI_CXX@
416 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
417 OPENMPI_LIBS = @OPENMPI_LIBS@
418 OPENMP_CFLAGS = @OPENMP_CFLAGS@
419 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
420 OPENMP_ENABLE = @OPENMP_ENABLE@
421 OPENMP_LIBS = @OPENMP_LIBS@
422 OTOOL = @OTOOL@
423 OTOOL64 = @OTOOL64@
424 PACKAGE = @PACKAGE@
425 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
426 PACKAGE_NAME = @PACKAGE_NAME@
427 PACKAGE_STRING = @PACKAGE_STRING@
428 PACKAGE_TARNAME = @PACKAGE_TARNAME@
429 PACKAGE_URL = @PACKAGE_URL@
430 PACKAGE_VERSION = @PACKAGE_VERSION@
431 PATH_SEPARATOR = @PATH_SEPARATOR@
432 PCRE_CFLAGS = @PCRE_CFLAGS@
433 PCRE_CONFIG = @PCRE_CONFIG@
434 PCRE_LIBS = @PCRE_LIBS@
435 PCRE_VERSION = @PCRE_VERSION@
436 PKG_CONFIG = @PKG_CONFIG@
437 POSUB = @POSUB@
438 POW_LIB = @POW_LIB@
439 PYTHON = @PYTHON@
440 RANLIB = @RANLIB@
441 RELOCATABLE = @RELOCATABLE@
442 RT_LIB = @RT_LIB@
443 SAXON = @SAXON@
444 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
445 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
446 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
447 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
448 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
449 SCIRENDERER = @SCIRENDERER@
450 SCIRENDERER_CP = @SCIRENDERER_CP@
451 SCI_CFLAGS = @SCI_CFLAGS@
452 SCI_CXXFLAGS = @SCI_CXXFLAGS@
453 SCI_FFLAGS = @SCI_FFLAGS@
454 SCI_LDFLAGS = @SCI_LDFLAGS@
455 SED = @SED@
456 SET_MAKE = @SET_MAKE@
457 SET_RELOCATABLE = @SET_RELOCATABLE@
458 SHELL = @SHELL@
459 SKINLF = @SKINLF@
460 SPLINT = @SPLINT@
461 STRIP = @STRIP@
462 SWIG_BIN = @SWIG_BIN@
463 SWIG_JAVA = @SWIG_JAVA@
464 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
465 SWIG_SCILAB = @SWIG_SCILAB@
466 TCLTK_LIBS = @TCLTK_LIBS@
467 TCL_INC_PATH = @TCL_INC_PATH@
468 TK_INC_PATH = @TK_INC_PATH@
469 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
470 UMFPACK_ENABLE = @UMFPACK_ENABLE@
471 UMFPACK_LIB = @UMFPACK_LIB@
472 USE_NLS = @USE_NLS@
473 VERSION = @VERSION@
474 WITH_OCAML = @WITH_OCAML@
475 WITH_TKSCI = @WITH_TKSCI@
476 XCOS_ENABLE = @XCOS_ENABLE@
477 XGETTEXT = @XGETTEXT@
478 XGETTEXT_015 = @XGETTEXT_015@
479 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
480 XMKMF = @XMKMF@
481 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
482 XML_APIS_EXT = @XML_APIS_EXT@
483 XML_CONFIG = @XML_CONFIG@
484 XML_FLAGS = @XML_FLAGS@
485 XML_LIBS = @XML_LIBS@
486 XML_VERSION = @XML_VERSION@
487 X_CFLAGS = @X_CFLAGS@
488 X_EXTRA_LIBS = @X_EXTRA_LIBS@
489 X_LIBS = @X_LIBS@
490 X_PRE_LIBS = @X_PRE_LIBS@
491 YACC = @YACC@
492 YFLAGS = @YFLAGS@
493 abs_builddir = @abs_builddir@
494 abs_srcdir = @abs_srcdir@
495 abs_top_builddir = @abs_top_builddir@
496 abs_top_srcdir = @abs_top_srcdir@
497 ac_ct_AR = @ac_ct_AR@
498 ac_ct_CC = @ac_ct_CC@
499 ac_ct_CXX = @ac_ct_CXX@
500 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
501 ac_ct_F77 = @ac_ct_F77@
502 am__include = @am__include@
503 am__leading_dot = @am__leading_dot@
504 am__quote = @am__quote@
505 am__tar = @am__tar@
506 am__untar = @am__untar@
507 bindir = @bindir@
508 build = @build@
509 build_alias = @build_alias@
510 build_cpu = @build_cpu@
511 build_os = @build_os@
512 build_vendor = @build_vendor@
513 builddir = @builddir@
514 cxx_present = @cxx_present@
515 datadir = @datadir@
516 datarootdir = @datarootdir@
517 docdir = @docdir@
518 dvidir = @dvidir@
519 exec_prefix = @exec_prefix@
520 host = @host@
521 host_alias = @host_alias@
522 host_cpu = @host_cpu@
523 host_os = @host_os@
524 host_vendor = @host_vendor@
525 htmldir = @htmldir@
526 includedir = @includedir@
527 infodir = @infodir@
528 install_sh = @install_sh@
529 libdir = @libdir@
530 libexecdir = @libexecdir@
531 localedir = @localedir@
532 localstatedir = @localstatedir@
533 mandir = @mandir@
534 mkdir_p = @mkdir_p@
535 oldincludedir = @oldincludedir@
536 pdfdir = @pdfdir@
537 prefix = @prefix@
538 program_transform_name = @program_transform_name@
539 psdir = @psdir@
540 sbindir = @sbindir@
541 sharedstatedir = @sharedstatedir@
542 srcdir = @srcdir@
543 sysconfdir = @sysconfdir@
544 target_alias = @target_alias@
545 top_build_prefix = @top_build_prefix@
546 top_builddir = @top_builddir@
547 top_srcdir = @top_srcdir@
548 yacc_present = @yacc_present@
549 GATEWAY_C_SOURCES = \
550     sci_gateway/c/gw_functions.c
551
552 GATEWAY_CPP_SOURCES = \
553     sci_gateway/cpp/sci_exec.cpp \
554     sci_gateway/cpp/sci_functionlist.cpp \
555     sci_gateway/cpp/sci_whereis.cpp \
556     sci_gateway/cpp/sci_execstr.cpp \
557     sci_gateway/cpp/sci_getCurrentThreadId.cpp \
558     sci_gateway/cpp/sci_getThreads.cpp \
559     sci_gateway/cpp/sci_macrovar.cpp \
560     sci_gateway/cpp/sci_libraryinfo.cpp \
561     sci_gateway/cpp/sci_librarieslist.cpp \
562     sci_gateway/cpp/sci_testGVN.cpp
563
564 libscifunctions_la_CPPFLAGS = \
565     -I$(srcdir)/includes/ \
566     -I$(srcdir)/src/c/ \
567     -I$(top_srcdir)/modules/ast/includes/ast/ \
568     -I$(top_srcdir)/modules/ast/includes/exps/ \
569     -I$(top_srcdir)/modules/ast/includes/operations/ \
570     -I$(top_srcdir)/modules/ast/includes/parse/ \
571     -I$(top_srcdir)/modules/ast/includes/symbol/ \
572     -I$(top_srcdir)/modules/ast/includes/system_env/ \
573     -I$(top_srcdir)/modules/ast/includes/types/ \
574     -I$(top_srcdir)/modules/ast/includes/analysis/ \
575     -I$(top_srcdir)/modules/functions_manager/includes/ \
576     -I$(top_srcdir)/modules/api_scilab/includes/ \
577     -I$(top_srcdir)/modules/localization/includes/ \
578     -I$(top_srcdir)/modules/string/includes/ \
579     -I$(top_srcdir)/modules/fileio/includes \
580     -I$(top_srcdir)/modules/console/includes \
581     -I$(top_srcdir)/modules/output_stream/includes \
582     -I$(top_srcdir)/modules/threads/includes/ \
583     -I$(top_srcdir)/modules/elementary_functions/includes/ \
584     -I$(top_srcdir)/modules/dynamic_link/includes/ \
585     $(EIGEN_CPPFLAGS) \
586     $(AM_CPPFLAGS)
587
588 pkglib_LTLIBRARIES = libscifunctions.la
589 libscifunctions_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
590
591 # For the code check (splint)
592 CHECK_SRC = $(FUNCTIONS_SOURCES) $(GATEWAY_SOURCES)
593 INCLUDE_FLAGS = $(libscifunctions_la_CPPFLAGS)
594
595 #### Target ######
596 modulename = functions
597
598 #### functions : Conf files ####
599 libscifunctions_la_rootdir = $(mydatadir)
600 libscifunctions_la_root_DATA = license.txt
601
602 #### functions : init scripts ####
603 libscifunctions_la_etcdir = $(mydatadir)/etc
604 libscifunctions_la_etc_DATA = \
605     etc/functions.quit \
606     etc/functions.start
607
608
609 #### functions : gateway declaration ####
610 libscifunctions_la_sci_gatewaydir = $(mydatadir)/sci_gateway
611 libscifunctions_la_sci_gateway_DATA = sci_gateway/functions_gateway.xml
612
613 # Where all the Scilab stuff is installed (macros, help, ...)
614 mydatadir = $(pkgdatadir)/modules/$(modulename)
615
616 # Set AM_* SCI detected settings
617 AM_CPPFLAGS = $(SCI_CPPFLAGS)
618 AM_CFLAGS = $(SCI_CFLAGS)
619 AM_CXXFLAGS = $(SCI_CXXFLAGS)
620 # append includes to AM_FFLAGS to manage fortran includes
621 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
622
623 # Tag shared libraries with the Scilab version
624 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
625
626 # splint options
627 SPLINT_OPTIONS = -weak -booltype BOOL
628
629 ########################### JAVA ######################################
630 #### We are delegating java compilation to ant... Thanks to that
631 #### the procedure will be the same with Microsoft Windows (C)
632 #### and Linux/Unix
633 #######################################################################
634 TARGETS_ALL = $(am__append_1)
635
636 ################ MACROS ######################
637 # Rule to build a macro
638 # NOT USED  AT THE MOMENT
639 SUFFIXES = .sci
640
641 ########### INSTALL DOCUMENTATION ###################
642
643 # Install documentation files into the right target
644 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
645 # automake needs the html files to be present which is not the case when
646 # we are building Scilab
647
648 # Where it should be installed
649 pkgdocdir = $(mydatadir)
650
651 # What is the mask of the help source
652 DOCMASKXML = *.xml
653
654 # What is the mask of the MathML sources
655 DOCMASKMML = *.mml
656
657 ########### INSTALL DATA ###################
658 # Install macros, help & demos
659 # Where it should be installed
660 pkgmacrosdir = $(mydatadir)
661 # Which directory we process
662 MACRODIRS = macros/
663 # Mask of the Scilab sources macros
664 MACROMASK = *.sci
665 # Mask of the Scilab executable sources macros
666 MACROBUILDMASK = *.sce
667 # Mask of the Scilab compiled macros
668 MACROBINMASK = *.bin
669 # List of the standard directory for tests
670 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
671 # Where the demos should be installed
672 pkgdemosdir = $(mydatadir)
673 # List of the standard directory for demos
674 DEMOS_DIR = demos
675 # List of the standard directory for examples
676 EXAMPLES_DIR = examples
677 # Where to export JAVA archives (.jar)
678 JARDIR = jar/
679 # JAR files mask
680 JARMASK = *.jar
681 # Chapter file
682 HELP_CHAPTERDIR = help/
683 HELP_CHAPTERFILE = addchapter.sce
684 HELP_CHAPTERLANG = en_US fr_FR pt_BR
685 all: all-am
686
687 .SUFFIXES:
688 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
689 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
690         @for dep in $?; do \
691           case '$(am__configure_deps)' in \
692             *$$dep*) \
693               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
694                 && { if test -f $@; then exit 0; else break; fi; }; \
695               exit 1;; \
696           esac; \
697         done; \
698         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/functions/Makefile'; \
699         $(am__cd) $(top_srcdir) && \
700           $(AUTOMAKE) --foreign modules/functions/Makefile
701 .PRECIOUS: Makefile
702 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
703         @case '$?' in \
704           *config.status*) \
705             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
706           *) \
707             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
708             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
709         esac;
710 $(top_srcdir)/Makefile.incl.am:
711
712 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
713         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714
715 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
716         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
718         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719 $(am__aclocal_m4_deps):
720
721 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
722         @$(NORMAL_INSTALL)
723         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
724         list2=; for p in $$list; do \
725           if test -f $$p; then \
726             list2="$$list2 $$p"; \
727           else :; fi; \
728         done; \
729         test -z "$$list2" || { \
730           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
731           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
732           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
733           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
734         }
735
736 uninstall-pkglibLTLIBRARIES:
737         @$(NORMAL_UNINSTALL)
738         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
739         for p in $$list; do \
740           $(am__strip_dir) \
741           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
742           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
743         done
744
745 clean-pkglibLTLIBRARIES:
746         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
747         @list='$(pkglib_LTLIBRARIES)'; \
748         locs=`for p in $$list; do echo $$p; done | \
749               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
750               sort -u`; \
751         test -z "$$locs" || { \
752           echo rm -f $${locs}; \
753           rm -f $${locs}; \
754         }
755 sci_gateway/c/$(am__dirstamp):
756         @$(MKDIR_P) sci_gateway/c
757         @: > sci_gateway/c/$(am__dirstamp)
758 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
759         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
760         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
761 sci_gateway/c/libscifunctions_la-gw_functions.lo:  \
762         sci_gateway/c/$(am__dirstamp) \
763         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
764 sci_gateway/cpp/$(am__dirstamp):
765         @$(MKDIR_P) sci_gateway/cpp
766         @: > sci_gateway/cpp/$(am__dirstamp)
767 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
768         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
769         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
770 sci_gateway/cpp/libscifunctions_la-sci_exec.lo:  \
771         sci_gateway/cpp/$(am__dirstamp) \
772         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
773 sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo:  \
774         sci_gateway/cpp/$(am__dirstamp) \
775         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
776 sci_gateway/cpp/libscifunctions_la-sci_whereis.lo:  \
777         sci_gateway/cpp/$(am__dirstamp) \
778         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
779 sci_gateway/cpp/libscifunctions_la-sci_execstr.lo:  \
780         sci_gateway/cpp/$(am__dirstamp) \
781         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
782 sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo:  \
783         sci_gateway/cpp/$(am__dirstamp) \
784         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
785 sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo:  \
786         sci_gateway/cpp/$(am__dirstamp) \
787         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
788 sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo:  \
789         sci_gateway/cpp/$(am__dirstamp) \
790         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
791 sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo:  \
792         sci_gateway/cpp/$(am__dirstamp) \
793         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
794 sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo:  \
795         sci_gateway/cpp/$(am__dirstamp) \
796         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
797 sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo:  \
798         sci_gateway/cpp/$(am__dirstamp) \
799         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
800
801 libscifunctions.la: $(libscifunctions_la_OBJECTS) $(libscifunctions_la_DEPENDENCIES) $(EXTRA_libscifunctions_la_DEPENDENCIES) 
802         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscifunctions_la_OBJECTS) $(libscifunctions_la_LIBADD) $(LIBS)
803
804 mostlyclean-compile:
805         -rm -f *.$(OBJEXT)
806         -rm -f sci_gateway/c/*.$(OBJEXT)
807         -rm -f sci_gateway/c/*.lo
808         -rm -f sci_gateway/cpp/*.$(OBJEXT)
809         -rm -f sci_gateway/cpp/*.lo
810
811 distclean-compile:
812         -rm -f *.tab.c
813
814 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Plo@am__quote@
815 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo@am__quote@
816 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo@am__quote@
817 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo@am__quote@
818 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Plo@am__quote@
819 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Plo@am__quote@
820 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo@am__quote@
821 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo@am__quote@
822 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo@am__quote@
823 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo@am__quote@
824 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo@am__quote@
825
826 .c.o:
827 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
828 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
829 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
833
834 .c.obj:
835 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
836 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
837 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
840 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
841
842 .c.lo:
843 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
844 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
845 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
849
850 sci_gateway/c/libscifunctions_la-gw_functions.lo: sci_gateway/c/gw_functions.c
851 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscifunctions_la-gw_functions.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Tpo -c -o sci_gateway/c/libscifunctions_la-gw_functions.lo `test -f 'sci_gateway/c/gw_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_functions.c
852 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Tpo sci_gateway/c/$(DEPDIR)/libscifunctions_la-gw_functions.Plo
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_functions.c' object='sci_gateway/c/libscifunctions_la-gw_functions.lo' libtool=yes @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscifunctions_la-gw_functions.lo `test -f 'sci_gateway/c/gw_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_functions.c
856
857 .cpp.o:
858 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
859 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
860 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
861 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
862 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
863 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
864
865 .cpp.obj:
866 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
867 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
868 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
869 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
870 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
871 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
872
873 .cpp.lo:
874 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
875 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
876 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
877 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
878 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
879 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
880
881 sci_gateway/cpp/libscifunctions_la-sci_exec.lo: sci_gateway/cpp/sci_exec.cpp
882 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_exec.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/cpp/sci_exec.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_exec.cpp
883 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo
884 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_exec.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_exec.lo' libtool=yes @AMDEPBACKSLASH@
885 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
886 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/cpp/sci_exec.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_exec.cpp
887
888 sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo: sci_gateway/cpp/sci_functionlist.cpp
889 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo `test -f 'sci_gateway/cpp/sci_functionlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_functionlist.cpp
890 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo
891 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_functionlist.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo' libtool=yes @AMDEPBACKSLASH@
892 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
893 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo `test -f 'sci_gateway/cpp/sci_functionlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_functionlist.cpp
894
895 sci_gateway/cpp/libscifunctions_la-sci_whereis.lo: sci_gateway/cpp/sci_whereis.cpp
896 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_whereis.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/cpp/sci_whereis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_whereis.cpp
897 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo
898 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_whereis.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_whereis.lo' libtool=yes @AMDEPBACKSLASH@
899 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
900 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/cpp/sci_whereis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_whereis.cpp
901
902 sci_gateway/cpp/libscifunctions_la-sci_execstr.lo: sci_gateway/cpp/sci_execstr.cpp
903 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_execstr.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/cpp/sci_execstr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_execstr.cpp
904 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo
905 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_execstr.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_execstr.lo' libtool=yes @AMDEPBACKSLASH@
906 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
907 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/cpp/sci_execstr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_execstr.cpp
908
909 sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo: sci_gateway/cpp/sci_getCurrentThreadId.cpp
910 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo `test -f 'sci_gateway/cpp/sci_getCurrentThreadId.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getCurrentThreadId.cpp
911 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getCurrentThreadId.Plo
912 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getCurrentThreadId.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo' libtool=yes @AMDEPBACKSLASH@
913 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
914 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_getCurrentThreadId.lo `test -f 'sci_gateway/cpp/sci_getCurrentThreadId.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getCurrentThreadId.cpp
915
916 sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo: sci_gateway/cpp/sci_getThreads.cpp
917 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo `test -f 'sci_gateway/cpp/sci_getThreads.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getThreads.cpp
918 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_getThreads.Plo
919 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getThreads.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo' libtool=yes @AMDEPBACKSLASH@
920 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
921 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_getThreads.lo `test -f 'sci_gateway/cpp/sci_getThreads.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getThreads.cpp
922
923 sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo: sci_gateway/cpp/sci_macrovar.cpp
924 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo `test -f 'sci_gateway/cpp/sci_macrovar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_macrovar.cpp
925 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo
926 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_macrovar.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo' libtool=yes @AMDEPBACKSLASH@
927 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
928 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo `test -f 'sci_gateway/cpp/sci_macrovar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_macrovar.cpp
929
930 sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo: sci_gateway/cpp/sci_libraryinfo.cpp
931 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/cpp/sci_libraryinfo.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_libraryinfo.cpp
932 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo
933 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_libraryinfo.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo' libtool=yes @AMDEPBACKSLASH@
934 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
935 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/cpp/sci_libraryinfo.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_libraryinfo.cpp
936
937 sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo: sci_gateway/cpp/sci_librarieslist.cpp
938 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/cpp/sci_librarieslist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_librarieslist.cpp
939 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo
940 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_librarieslist.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo' libtool=yes @AMDEPBACKSLASH@
941 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
942 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/cpp/sci_librarieslist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_librarieslist.cpp
943
944 sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo: sci_gateway/cpp/sci_testGVN.cpp
945 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo `test -f 'sci_gateway/cpp/sci_testGVN.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_testGVN.cpp
946 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo
947 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_testGVN.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo' libtool=yes @AMDEPBACKSLASH@
948 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
949 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo `test -f 'sci_gateway/cpp/sci_testGVN.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_testGVN.cpp
950
951 mostlyclean-libtool:
952         -rm -f *.lo
953
954 clean-libtool:
955         -rm -rf .libs _libs
956         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
957         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
958 install-libscifunctions_la_etcDATA: $(libscifunctions_la_etc_DATA)
959         @$(NORMAL_INSTALL)
960         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
961         if test -n "$$list"; then \
962           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
963           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit 1; \
964         fi; \
965         for p in $$list; do \
966           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
967           echo "$$d$$p"; \
968         done | $(am__base_list) | \
969         while read files; do \
970           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
971           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit $$?; \
972         done
973
974 uninstall-libscifunctions_la_etcDATA:
975         @$(NORMAL_UNINSTALL)
976         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
977         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
978         dir='$(DESTDIR)$(libscifunctions_la_etcdir)'; $(am__uninstall_files_from_dir)
979 install-libscifunctions_la_rootDATA: $(libscifunctions_la_root_DATA)
980         @$(NORMAL_INSTALL)
981         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
982         if test -n "$$list"; then \
983           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
984           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit 1; \
985         fi; \
986         for p in $$list; do \
987           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
988           echo "$$d$$p"; \
989         done | $(am__base_list) | \
990         while read files; do \
991           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
992           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit $$?; \
993         done
994
995 uninstall-libscifunctions_la_rootDATA:
996         @$(NORMAL_UNINSTALL)
997         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
998         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
999         dir='$(DESTDIR)$(libscifunctions_la_rootdir)'; $(am__uninstall_files_from_dir)
1000 install-libscifunctions_la_sci_gatewayDATA: $(libscifunctions_la_sci_gateway_DATA)
1001         @$(NORMAL_INSTALL)
1002         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
1003         if test -n "$$list"; then \
1004           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
1005           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit 1; \
1006         fi; \
1007         for p in $$list; do \
1008           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1009           echo "$$d$$p"; \
1010         done | $(am__base_list) | \
1011         while read files; do \
1012           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
1013           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit $$?; \
1014         done
1015
1016 uninstall-libscifunctions_la_sci_gatewayDATA:
1017         @$(NORMAL_UNINSTALL)
1018         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
1019         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1020         dir='$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1021
1022 ID: $(am__tagged_files)
1023         $(am__define_uniq_tagged_files); mkid -fID $$unique
1024 tags: tags-am
1025 TAGS: tags
1026
1027 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1028         set x; \
1029         here=`pwd`; \
1030         $(am__define_uniq_tagged_files); \
1031         shift; \
1032         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1033           test -n "$$unique" || unique=$$empty_fix; \
1034           if test $$# -gt 0; then \
1035             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1036               "$$@" $$unique; \
1037           else \
1038             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1039               $$unique; \
1040           fi; \
1041         fi
1042 ctags: ctags-am
1043
1044 CTAGS: ctags
1045 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1046         $(am__define_uniq_tagged_files); \
1047         test -z "$(CTAGS_ARGS)$$unique" \
1048           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1049              $$unique
1050
1051 GTAGS:
1052         here=`$(am__cd) $(top_builddir) && pwd` \
1053           && $(am__cd) $(top_srcdir) \
1054           && gtags -i $(GTAGS_ARGS) "$$here"
1055 cscopelist: cscopelist-am
1056
1057 cscopelist-am: $(am__tagged_files)
1058         list='$(am__tagged_files)'; \
1059         case "$(srcdir)" in \
1060           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1061           *) sdir=$(subdir)/$(srcdir) ;; \
1062         esac; \
1063         for i in $$list; do \
1064           if test -f "$$i"; then \
1065             echo "$(subdir)/$$i"; \
1066           else \
1067             echo "$$sdir/$$i"; \
1068           fi; \
1069         done >> $(top_builddir)/cscope.files
1070
1071 distclean-tags:
1072         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1073
1074 distdir: $(DISTFILES)
1075         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1076         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1077         list='$(DISTFILES)'; \
1078           dist_files=`for file in $$list; do echo $$file; done | \
1079           sed -e "s|^$$srcdirstrip/||;t" \
1080               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1081         case $$dist_files in \
1082           */*) $(MKDIR_P) `echo "$$dist_files" | \
1083                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1084                            sort -u` ;; \
1085         esac; \
1086         for file in $$dist_files; do \
1087           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1088           if test -d $$d/$$file; then \
1089             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1090             if test -d "$(distdir)/$$file"; then \
1091               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1092             fi; \
1093             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1094               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1095               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1096             fi; \
1097             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1098           else \
1099             test -f "$(distdir)/$$file" \
1100             || cp -p $$d/$$file "$(distdir)/$$file" \
1101             || exit 1; \
1102           fi; \
1103         done
1104 check-am: all-am
1105         $(MAKE) $(AM_MAKEFLAGS) check-local
1106 check: check-am
1107 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1108 installdirs:
1109         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifunctions_la_etcdir)" "$(DESTDIR)$(libscifunctions_la_rootdir)" "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"; do \
1110           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1111         done
1112 install: install-am
1113 install-exec: install-exec-am
1114 install-data: install-data-am
1115 uninstall: uninstall-am
1116
1117 install-am: all-am
1118         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1119
1120 installcheck: installcheck-am
1121 install-strip:
1122         if test -z '$(STRIP)'; then \
1123           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1124             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1125               install; \
1126         else \
1127           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1128             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1129             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1130         fi
1131 mostlyclean-generic:
1132
1133 clean-generic:
1134
1135 distclean-generic:
1136         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1137         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1138         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1139         -rm -f sci_gateway/c/$(am__dirstamp)
1140         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1141         -rm -f sci_gateway/cpp/$(am__dirstamp)
1142
1143 maintainer-clean-generic:
1144         @echo "This command is intended for maintainers to use"
1145         @echo "it deletes files that may require special tools to rebuild."
1146 clean: clean-am
1147
1148 clean-am: clean-generic clean-libtool clean-local \
1149         clean-pkglibLTLIBRARIES mostlyclean-am
1150
1151 distclean: distclean-am
1152         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR)
1153         -rm -f Makefile
1154 distclean-am: clean-am distclean-compile distclean-generic \
1155         distclean-local distclean-tags
1156
1157 dvi: dvi-am
1158
1159 dvi-am:
1160
1161 html: html-am
1162
1163 html-am:
1164
1165 info: info-am
1166
1167 info-am:
1168
1169 install-data-am: install-data-local install-libscifunctions_la_etcDATA \
1170         install-libscifunctions_la_rootDATA \
1171         install-libscifunctions_la_sci_gatewayDATA
1172
1173 install-dvi: install-dvi-am
1174
1175 install-dvi-am:
1176
1177 install-exec-am: install-pkglibLTLIBRARIES
1178
1179 install-html: install-html-am
1180
1181 install-html-am: install-html-local
1182
1183 install-info: install-info-am
1184
1185 install-info-am:
1186
1187 install-man:
1188
1189 install-pdf: install-pdf-am
1190
1191 install-pdf-am:
1192
1193 install-ps: install-ps-am
1194
1195 install-ps-am:
1196
1197 installcheck-am:
1198
1199 maintainer-clean: maintainer-clean-am
1200         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR)
1201         -rm -f Makefile
1202 maintainer-clean-am: distclean-am maintainer-clean-generic
1203
1204 mostlyclean: mostlyclean-am
1205
1206 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1207         mostlyclean-libtool
1208
1209 pdf: pdf-am
1210
1211 pdf-am:
1212
1213 ps: ps-am
1214
1215 ps-am:
1216
1217 uninstall-am: uninstall-libscifunctions_la_etcDATA \
1218         uninstall-libscifunctions_la_rootDATA \
1219         uninstall-libscifunctions_la_sci_gatewayDATA \
1220         uninstall-pkglibLTLIBRARIES
1221
1222 .MAKE: check-am install-am install-strip
1223
1224 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1225         check-local clean clean-generic clean-libtool clean-local \
1226         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1227         distclean-compile distclean-generic distclean-libtool \
1228         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1229         info info-am install install-am install-data install-data-am \
1230         install-data-local install-dvi install-dvi-am install-exec \
1231         install-exec-am install-html install-html-am \
1232         install-html-local install-info install-info-am \
1233         install-libscifunctions_la_etcDATA \
1234         install-libscifunctions_la_rootDATA \
1235         install-libscifunctions_la_sci_gatewayDATA install-man \
1236         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1237         install-ps install-ps-am install-strip installcheck \
1238         installcheck-am installdirs maintainer-clean \
1239         maintainer-clean-generic mostlyclean mostlyclean-compile \
1240         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1241         tags tags-am uninstall uninstall-am \
1242         uninstall-libscifunctions_la_etcDATA \
1243         uninstall-libscifunctions_la_rootDATA \
1244         uninstall-libscifunctions_la_sci_gatewayDATA \
1245         uninstall-pkglibLTLIBRARIES
1246
1247
1248 # This target enables tests for Scilab
1249 check-local: $(top_builddir)/scilab-bin test
1250         if test -d $(mydatadir)/tests; then \
1251           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1252         fi
1253 check-code:
1254         if test -f build.xml; then \
1255                 $(ANT) checkstyle; \
1256         fi
1257         if test -x "$(SPLINT)"; then \
1258                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1259         fi
1260 @NEED_JAVA_TRUE@java:
1261 # Some configurations needs to export JAVA_HOME in the current env
1262 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1263 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1264 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1265 @NEED_JAVA_TRUE@                $(ANT); \
1266 @NEED_JAVA_TRUE@        fi
1267
1268 @NEED_JAVA_TRUE@clean-java:
1269 # Some configurations needs to export JAVA_HOME in the current env
1270 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1271 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1272 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1273 @NEED_JAVA_TRUE@                $(ANT) clean; \
1274 @NEED_JAVA_TRUE@        fi;
1275
1276 # If the user request for the SWIG generation of the wrappers Java => C/C++
1277 # We call the target swig-build on the variable SWIG_WRAPPERS
1278
1279 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1280 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1281 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1282 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1283 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1284 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1285 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1286 @SWIG_TRUE@             done; \
1287 @SWIG_TRUE@     fi
1288
1289 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1290 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1291 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1292 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1293 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1294 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1295 @SWIG_TRUE@             done; \
1296 @SWIG_TRUE@     fi
1297
1298 # If the user request for the SWIG generation of the wrappers Java => C/C++
1299 # We call the target swig-build on the variable SWIG_WRAPPERS
1300
1301 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1302 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1303 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1304 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1305 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1306 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1307 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1308 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1309 @GIWS_TRUE@                     else \
1310 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1311 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1312 @GIWS_TRUE@                     fi \
1313 @GIWS_TRUE@             done; \
1314 @GIWS_TRUE@     fi
1315
1316 @GIWS_TRUE@giws-exception:
1317 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1318 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1319 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1320
1321 macros:
1322         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1323                 echo "Error : Cannot build $< : Scilab has not been built"; \
1324         else \
1325                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1326         fi)
1327
1328 # Removes the macros
1329 clean-macros:
1330 # Removes macros (*.bin generated from .sci)
1331         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1332                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1333                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1334         done
1335
1336 test:
1337 # More tests could be added here
1338         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1339         if test -f build.xml -a $$USEANT -eq 1; then \
1340                 $(ANT) test; \
1341         fi
1342
1343 all-local: $(TARGETS_ALL)
1344
1345 .sci.bin:
1346         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1347         echo "Error : Cannot build $< : Scilab has not been build"; \
1348         else \
1349         echo "Creating $@"; \
1350         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1351         fi )
1352
1353 install-html-local:
1354
1355 install-data-local-local:
1356 # Mainly for javasci
1357         @if test -d $(srcdir)/javadoc; then \
1358                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1359         fi
1360 # If the user wants the help sources to be installed
1361 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1362 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1363 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1364 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1365 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1366 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1367 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1368 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1369 @INSTALL_HELP_XML_TRUE@           done ; \
1370 @INSTALL_HELP_XML_TRUE@         fi; \
1371 @INSTALL_HELP_XML_TRUE@  fi; \
1372 @INSTALL_HELP_XML_TRUE@ done; \
1373 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1374 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1375 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1376 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1377 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1378 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1379 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1380 @INSTALL_HELP_XML_TRUE@           done ; \
1381 @INSTALL_HELP_XML_TRUE@         fi; \
1382 @INSTALL_HELP_XML_TRUE@ fi
1383 install-data-local:
1384 # Install the tests
1385         @echo "-------- Install tests (if any) --------"; \
1386         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1387           if test -d $(srcdir)/$$dir/; then \
1388             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1389                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1390                     if test -d "$(srcdir)/$$dir/$$file"; then \
1391                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1392                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1393                     else \
1394                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1395                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1396                     fi \
1397                   done; \
1398           fi; \
1399         done
1400 # Install the help chapter
1401         @echo "-------- Install the help chapter (if any) --------"; \
1402         for lang in $(HELP_CHAPTERLANG); do \
1403                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1404                 if test -f $$HELPFILE; then \
1405                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1406                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1407                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1408                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1409                 fi; \
1410         done
1411 # Install the demos & examples
1412         @echo "-------- Install demos & examples (if any) --------"; \
1413         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1414           if test -d $(srcdir)/$$dir/; then \
1415             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1416                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1417                     if test -d "$(srcdir)/$$dir/$$file"; then \
1418                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1419                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1420                     else \
1421                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1422                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1423                     fi \
1424                   done; \
1425           fi; \
1426         done
1427 # Install the macros
1428         @echo "-------- Install macros (if any) --------"; \
1429         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1430           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1431                 if test -d $(srcdir)/$$dir/; then \
1432                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1433                         if test -n "$(MACROSSPECIALEXT)"; then \
1434                                 specialExtDir=""; \
1435                                 for specialExt in $(MACROSSPECIALEXT); do \
1436                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1437                                 done; \
1438                                 FILELIST="$$FILELIST $$specialExtDir"; \
1439                         fi; \
1440                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1441                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1442                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1443                   done; \
1444                 fi; \
1445         done
1446 # Install java files (.jar)
1447         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1448         echo "-------- Install jar files --------"; \
1449     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1450           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1451                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1452                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1453           done ; \
1454         fi
1455
1456 ########### CLEAN ###################
1457 # Clean help (generated automatically by Scilab)
1458 # It used to clean the macro (clean-macros) but this was causing
1459 # make clean && make to fail Scilab startup
1460 @NEED_JAVA_TRUE@clean-local: clean-java
1461 @NEED_JAVA_FALSE@clean-local:
1462
1463 distclean-local:
1464         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1465
1466 .PHONY: macros java swig giws
1467
1468 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1469 # Otherwise a system limit (for SysV at least) may be exceeded.
1470 .NOEXPORT: